curl --request POST \
--url https://api.management.junction.com/v1/org/{org_id}/team \
--header 'Content-Type: application/json' \
--header 'X-Vital-Org-Key: <api-key>' \
--data '{
"name": "<string>",
"region": "us",
"lab_tests_patient_sms_communication_enabled": true,
"lab_tests_patient_email_communication_enabled": true,
"event_type_prefixes": [
"<string>"
]
}'
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_on": "2023-11-07T05:31:56Z",
"region": "us",
"sandbox": {
"lab_tests_patient_sms_communication_enabled": true,
"lab_tests_patient_email_communication_enabled": true,
"critical_result_notification_email": "jsmith@example.com",
"brand_information": {
"company_name": "<string>",
"company_website": "",
"support_email": "help@tryvital.io",
"support_contact": "",
"company_address": "",
"brand_color": ""
},
"logo_url": "<string>",
"reject_duplicate_connection": false,
"sdk_per_device_activity_timeseries": false,
"partial_webhooks_enabled": false,
"minor_ordering_enabled": false
},
"production": {
"lab_tests_patient_sms_communication_enabled": true,
"lab_tests_patient_email_communication_enabled": true,
"critical_result_notification_email": "jsmith@example.com",
"brand_information": {
"company_name": "<string>",
"company_website": "",
"support_email": "help@tryvital.io",
"support_contact": "",
"company_address": "",
"brand_color": ""
},
"logo_url": "<string>",
"reject_duplicate_connection": false,
"sdk_per_device_activity_timeseries": false,
"partial_webhooks_enabled": false,
"minor_ordering_enabled": false
},
"integration_team_id": "<string>",
"environments": [
"production"
]
}{
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Create Team
Post org team via the Junction API. Requires authentication with your team API key.
curl --request POST \
--url https://api.management.junction.com/v1/org/{org_id}/team \
--header 'Content-Type: application/json' \
--header 'X-Vital-Org-Key: <api-key>' \
--data '{
"name": "<string>",
"region": "us",
"lab_tests_patient_sms_communication_enabled": true,
"lab_tests_patient_email_communication_enabled": true,
"event_type_prefixes": [
"<string>"
]
}'
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_on": "2023-11-07T05:31:56Z",
"region": "us",
"sandbox": {
"lab_tests_patient_sms_communication_enabled": true,
"lab_tests_patient_email_communication_enabled": true,
"critical_result_notification_email": "jsmith@example.com",
"brand_information": {
"company_name": "<string>",
"company_website": "",
"support_email": "help@tryvital.io",
"support_contact": "",
"company_address": "",
"brand_color": ""
},
"logo_url": "<string>",
"reject_duplicate_connection": false,
"sdk_per_device_activity_timeseries": false,
"partial_webhooks_enabled": false,
"minor_ordering_enabled": false
},
"production": {
"lab_tests_patient_sms_communication_enabled": true,
"lab_tests_patient_email_communication_enabled": true,
"critical_result_notification_email": "jsmith@example.com",
"brand_information": {
"company_name": "<string>",
"company_website": "",
"support_email": "help@tryvital.io",
"support_contact": "",
"company_address": "",
"brand_color": ""
},
"logo_url": "<string>",
"reject_duplicate_connection": false,
"sdk_per_device_activity_timeseries": false,
"partial_webhooks_enabled": false,
"minor_ordering_enabled": false
},
"integration_team_id": "<string>",
"environments": [
"production"
]
}{
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}https://api.management.junction.com/.The endpoint accepts only Management Key (X-Management-Key).
Team API Key is not accepted.curl --request POST \
--url https://api.management.junction.com/v1/org/{org_id}/team \
--header 'Content-Type: application/json' \
--header 'X-Vital-Org-Key: <api-key>' \
--data '{
"name": "<string>",
"region": "us",
"lab_tests_patient_sms_communication_enabled": true,
"lab_tests_patient_email_communication_enabled": true,
"event_type_prefixes": [
"<string>"
]
}'
Authorizations
Path Parameters
Body
A human readable name of this Team. It is primarily used by Vital Dashboard.
In the Vital Link widget, you are by default represented as the Team name. However, if you have set Brand Information for the environment, the Company Name takes precedence.
In Vital Lab Testing, all communications use only Brand Information. Team name is ignored.
See also: sandbox.brand_information and production.brand_information.
^[A-Za-zÀ-ÖØ-öø-ÿ0-9(),/:'|&_\-\s’]{0,80}$us, eu Information of your brand.
In the Vital Link widget, you are by default represented as the Team name. However, if you configure Brand Information for the environment, the Company Name takes precedence.
In Vital Lab Testing, all communications use only Brand Information. Team name is ignored.
Show child attributes
Show child attributes
1 - 2083256Response
Successful Response
us, eu Show child attributes
Show child attributes
Show child attributes
Show child attributes
production, sandbox Was this page helpful?